#!/usr/bin/perl
#eval {
        our $include_mode='require';
        our %CONFIG;

        ($0=~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");
        ($0=~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");

        require "./config.pl";
        ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,$blksize,$blocks) = stat("$CONFIG{script_path}/config.pl");
        if (($CONFIG{last_update}<$mtime) or ($CONFIG{script_path} eq '')) { do "./config.pl";}

        unshift(@INC, $CONFIG{script_path}."/scripts");
        unshift(@INC, $CONFIG{script_path});

        if (-e "$CONFIG{script_path}/scripts_refresh") {$include_mode='do';}
 
        include ("./scripts/database.pl");
        include ("./scripts/new_database.pl");
        include ("./scripts/default_config.pl");
        include ("./scripts/display.pl");
        include ("./english.lng");
        include ("./scripts/gateway.pl");
        include ("./scripts/html.pl");
        include ("./scripts/library.pl");
        include ("./scripts/logs.pl");
        include ("./scripts/members.pl");
        include ("./scripts/search.pl");
        include ("./scripts/templates.pl");
        include ("./scripts/mojoscripts.pl");
        include ("./scripts/parse_template.pl");
        include ("./scripts/serverinfo.pl");
        include ("./scripts/ads.pl");
        include ("./scripts/mailbox.pl");
        include ("./scripts/gallery.pl");
        include ("./scripts/adsearch.pl");

        use CGI qw(:standard);
        use CGI::Carp qw(fatalsToBrowser);
        use File::Path;
	use strict;
	use Apache::Registry;
	our (%FORM, %MOJO, %mj, %TEMPLATE);

        &main;
	if (-e "$CONFIG{script_path}/scripts_refresh") {unlink "$CONFIG{script_path}/scripts_refresh";}
#};
#if ($@) {
#        print "content-type:text/html\n\n";
#        print "Error Including configuration file, Reason: $@";
#       exit;
#}

sub main {
        print "content-type:text/html\n\n";

	  our $exit=0;
        $|++;
  	  umask 0022;
        &ParseForm;
        $FORM{action}="browse" unless $FORM{type};
        &Initialization;
# You may change content of template, modify the text into quotes
        my $template = "[2_MostRecentPostings] <br> [2_MostRecentMembers]";

        print $template = ParseCommonCodes($template);
}

############################################################
sub include {
	my $file=shift();      

	if ($include_mode eq 'do') {do $file;} else {require $file;}
}
